<?php

namespace Modules\Pp\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class BomData extends Model
{
    use HasFactory,LogsActivity;

    protected $fillable = [];
    
    protected $table = 'pp_bom_data';
    protected $primaryKey = 'pp_bom_plan_data_id';
    public $incrementing = false;
    protected $keyType = 'string';
    protected static $logAttributes = [
        'pp_bom_plan_data_id',
        'pp_bom_header_id',
        'product_primary_id',
        'product_id',
        'product_name',
        'quantity',
        'uom',
        'tolerance',
        'status',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "pp_bom_data";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
}
